<section class="login-block">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div style="margin-bottom: 54px;">
          <a [routerLink]="['/']"> <img src="assets/img/wakanow-logo.png" style="width: 180px;"></a>
        </div>
      </div>
      <div class="col-lg-5 banner-sec  d-sm-block offset-md-0 col-md-6">
        <div class="p-3">
          <h1 class="title" style="font-weight: bold; margin-top: 30px; margin-bottom: 30px;">Earn Points On
            Every Booking or spend with <br>Wakanow
          </h1>
          <p class="description" style="margin-bottom: 60px;">Wakanow rewards you with instant points every
            time you book or spend.</p>
          <div>
            <a [routerLink]="['/balancecheck']" routerLinkActive="active" class="w-btn w-btn-primary button-wide">CHECK
              BALANCE</a>
            <a [routerLink]="['/howitworks']" routerLinkActive="active" class="w-btn button-wide">HOW IT
              WORKS</a>
          </div>
        </div>
      </div>

      <div class="col-lg-4 login-sec  offset-lg-2 offset-md-0 col-md-6">
        <div class="box">
          <div class="alert alert-success" role="alert" *ngIf="responseMessage && responseMessageType == 'Success'">
            {{ responseMessage }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
          </div>
          <div class="alert alert-success" role="alert" *ngIf="responseMessage && responseMessageType == 'Error'">
            {{ responseMessage }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
          </div>
          <h2>Register for WakaPoints </h2>
          <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
            <symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
              <path
                d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
            </symbol>
            <symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
              <path
                d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
            </symbol>
            <symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
              <path
                d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
            </symbol>
          </svg>
          <div class="alert alert-primary d-flex align-items-center login-subtitle" role="alert">
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Info:">
              <use xlink:href="#info-fill" />
            </svg>
            <div style="font-size: 12px;">
              Use all given names and surnames exactly as they appear on your passport/ID to avoid complications
            </div>
          </div>

          <div class="login-form">
            <form [formGroup]="registerForm">
              <div class="form-group">
                <label for="firstName" class="input-title">First Name *</label>
                <input type="text" id="firstName" maxlength="128" class="form-control text-dark" placeholder=""
                  formControlName="firstName" [ngClass]="{'is-invalid': registerForm.get('firstName')?.errors
                       && registerForm.get('firstName')?.touched}">
                <span class="help-block"
                  *ngIf="(registerForm.get('firstName')?.touched || registerForm.get('firstName')?.dirty) && registerForm.get('firstName')?.errors">
                  <span *ngIf="registerForm.get('firstName')?.hasError('required')" class="small-text">
                    Please enter your first name.
                  </span>
                </span>
              </div>
              <div class="form-group">
                <label for="middleName" class="input-title">Middle Name</label>
                <input type="text" id="middleName" maxlength="128" class="form-control text-dark" placeholder=""
                  formControlName="middleName" [ngClass]="{'is-invalid': registerForm.get('middleName')?.errors
                     && registerForm.get('middleName')?.touched}">
                <span class="help-block"
                  *ngIf="(registerForm.get('middleName')?.touched || registerForm.get('middleName')?.dirty) && registerForm.get('middleName')?.errors">
                  <span *ngIf="registerForm.get('middleName')?.hasError('required')" class="small-text">
                    Please enter your middle name.
                  </span>
                </span>
              </div>
              <div class="form-group">
                <label for="lastName" class="input-title">Last Name *</label>
                <input type="text" id="lastName" maxlength="128" class="form-control text-dark" placeholder=""
                  formControlName="lastName" [ngClass]="{'is-invalid': registerForm.get('lastName')?.errors
                       && registerForm.get('lastName')?.touched}">
                <span class="help-block"
                  *ngIf="(registerForm.get('lastName')?.touched || registerForm.get('lastName')?.dirty) && registerForm.get('lastName')?.errors">
                  <span *ngIf="registerForm.get('lastName')?.hasError('required')" class="small-text">
                    Please enter your last name.
                  </span>
                </span>
              </div>
              <div class="form-group">
                <label for="emailAddress" class="input-title">Email *</label>
                <input type="email" id="emailAddress" maxlength="128" class="form-control text-dark" placeholder=""
                  formControlName="emailAddress" [ngClass]="{'is-invalid': registerForm.get('emailAddress')?.errors
                  && registerForm.get('lastName')?.touched}">
                <span class="help-block"
                  *ngIf="(registerForm.get('emailAddress')?.touched || registerForm.get('emailAddress')?.dirty) && registerForm.get('emailAddress')?.errors">
                  <span *ngIf="registerForm.get('emailAddress')?.hasError('required')" class="small-text">
                    Please enter your email.
                  </span>
                  <span *ngIf="registerForm.get('emailAddress')?.hasError('email')" class="small-text">
                    Please enter a valid email.
                  </span>
                </span>
              </div>
              <div class="form-group">
                <div class="input-title">Select Your Gender *</div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" value="male" type="radio" id="male" formControlName="gender">
                  <label class="form-check-label input-title" for="male">Male</label>
                </div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" value="female" id="female" formControlName="gender">
                  <label class="form-check-label input-title" for="female">Female</label>
                </div>
                <span class="help-block"
                  *ngIf="(registerForm.get('gender')?.touched || registerForm.get('gender')?.dirty) && registerForm.get('gender')?.errors">
                  <span *ngIf="registerForm.get('gender')?.hasError('required')" class="small-text">
                    Select gender.
                  </span>
                </span>
              </div>
              <div class="form-group">
                <label for="dateOfBirth" class="input-title">Date Of Birth *</label>
                <input placeholder="" class="form-control text-dark" formControlName="dateOfBirth" [maxDate]="maxDate"
                  value="{{ registerForm.get('dateOfBirth')?.value| date:'dd-MM-yyyy' }}" [minDate]="minDate"
                  #dp="bsDatepicker" bsDatepicker>
                <div class="invalid-feedback"
                  *ngIf="registerForm.get('dateOfBirth')?.touched && registerForm.get('dateOfBirth')?.hasError('required')">
                  Date
                  of Birth is required</div>
              </div>

              <div class="form-group">
                <label for="mobileNumber" class="input-title">
                  Mobile Number *</label>
                <input type="tel" id="mobileNumber" maxlength="14" class="form-control text-dark" placeholder=""
                  (keypress)="($event.charCode >= 48 && $event.charCode < 58)" appBlockCopyPaste
                  formControlName="mobileNumber">

                <span class="help-block"
                  *ngIf="(registerForm.get('mobileNumber')?.touched || registerForm.get('mobileNumber')?.dirty) && registerForm.get('mobileNumber')?.errors">
                  <span *ngIf="registerForm.get('mobileNumber')?.hasError('required')" class="small-text">
                    Enter mobile number.
                  </span>
                  <span *ngIf="registerForm.get('mobileNumber')?.hasError('minlength')" class="small-text">
                    Mobile number must be between 10-14 digit
                  </span>
                  <span *ngIf="registerForm.get('mobileNumber')?.hasError('maxlength')" class="small-text">
                    Mobile number must be between 10-14 digit
                  </span>
                </span>
              </div>
              <!-- <input type="hidden" id="g-recaptcha-response" name="g-recaptcha-response">
      <input type="hidden" name="action" value="validate_captcha"> -->

              <!-- <div style="font-size: 12px;  color: #001737;    margin-bottom: 4px;">
          Forgot PIN?
      </div>
      <div style="color: #7987A1; font-size: 12px; margin-bottom: 32px;">
          Dial <span style="  color: #001737;">*347*100#</span> to reset your PIN or you can reset
          it
          via mobile app
      </div> -->
              <div *ngIf="!isBusy">
                <button type="button" [disabled]="!registerForm.valid || isBusy" class="btn btn-login float-right"
                  id="btnaction" (click)="register()">Register</button>
              </div>
              <div *ngIf="isBusy">
                <button type="button" class="btn btn-login float-right" disabled>Please
                  wait...</button>
              </div>
            </form>

            <div class="row mt-4" *ngIf="ShowEdit">
              <div class="col-12 text-center">
                <h5>Enter Redeem Pin to get your WakaPoints ID</h5>
                <div class="form-group">
                  <label for="pin" class="input-title">Forgot your pin? Dial 347*100#*</label>
                  <ng-otp-input #ngPinInput (onInputChange)="onPinChange($event)" class="otp-input"
                    [config]="{length:4, isPasswordInput: true , allowNumbersOnly : true , disableAutoFocus :false}">
                  </ng-otp-input>
                  <span class="help-block">
                    <span *ngIf="showOtpError" class="small-text">
                      Please enter 4 digit account / redeem pin
                    </span>
                  </span>
                </div>
              </div>
              <div class="col-12">
                <a class="w-btn  text-decoration-none  btn-mini full-width btn-editprofile" type="button"
                  (click)="checkBalance()">
                  Click here to Continue
                </a>
              </div>
            </div>
            <div class="alert alert-success" role="alert" *ngIf="responseMessage && responseMessageType == 'Success'">
              {{ responseMessage }}
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
            <div class="alert alert-success" role="alert" *ngIf="responseMessage && responseMessageType == 'Error'">
              {{ responseMessage }}
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          </div>
          <div class="copy-text">
            <div>
              Powered by
            </div>
            <div>
              <a target="_blank" href="https://thankucash.com"> <img src="assets/img/logo.png" style="width: 94px;"></a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>